Getting list of transactions by orders

Getting list of transactions by orders

Request

POST

https://fleet-api.taxi.yandex.net/v2/parks/orders/transactions/list

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

Body

application/json
{
  "query": {
    "park": {
      "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
      "order": {
        "ids": [
          "c8d40acf182b4b32af72f6ad2029031b"
        ]
      },
      "transaction": {
        "event_at": {
          "from": "2019-08-08T11:58:01+03:00",
          "to": null
        }
      }
    }
  }
}

Name

Description

query

Type: ParksOrdersTransactionsListQuery

Example
{
  "park": {
    "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
    "order": {
      "ids": [
        "c8d40acf182b4b32af72f6ad2029031b"
      ]
    },
    "transaction": {
      "event_at": {
        "from": "2019-08-08T11:58:01+03:00",
        "to": null
      }
    }
  }
}

ParkId

Partner ID

Type: string

Min length: 1

Max length: 100

Example: ee6f33c4562b4e1f8646d157bd70b2c4

OrderId

Order ID

Type: string

Min length: 1

Max length: 100

Example: c8d40acf182b4b32af72f6ad2029031b

OrderIds

Type: OrderId[]

Min items: 1

Max items: 100

Example
[
  "c8d40acf182b4b32af72f6ad2029031b"
]

ParksOrdersTransactionsListQueryParkOrder

Name

Description

ids

Type: OrderIds

Min items: 1

Max items: 100

Example
[
  "c8d40acf182b4b32af72f6ad2029031b"
]
Example
{
  "ids": [
    "c8d40acf182b4b32af72f6ad2029031b"
  ]
}

DateTime

ISO 8601 with time zone

Type: string<date-time>

Example: 2019-08-08T11:58:01+03:00

DateTimeOptionalInterval

Name

Description

from

Type: DateTime

ISO 8601 with time zone

Example: 2019-08-08T11:58:01+03:00

to

Type: DateTime

ISO 8601 with time zone

Example: 2019-08-08T11:58:01+03:00

Example
{
  "from": "2019-08-08T11:58:01+03:00",
  "to": null
}

ParksOrdersTransactionsListQueryParkTransaction

Name

Description

event_at

Type: DateTimeOptionalInterval

Example
{
  "from": "2019-08-08T11:58:01+03:00",
  "to": null
}
Example
{
  "event_at": {
    "from": "2019-08-08T11:58:01+03:00",
    "to": null
  }
}

ParksOrdersTransactionsListQueryPark

Name

Description

id

Type: ParkId

Partner ID

Min length: 1

Max length: 100

Example: ee6f33c4562b4e1f8646d157bd70b2c4

order

Type: ParksOrdersTransactionsListQueryParkOrder

Example
{
  "ids": [
    "c8d40acf182b4b32af72f6ad2029031b"
  ]
}

transaction

Type: ParksOrdersTransactionsListQueryParkTransaction

Example
{
  "event_at": {
    "from": "2019-08-08T11:58:01+03:00",
    "to": null
  }
}
Example
{
  "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "order": {
    "ids": [
      "c8d40acf182b4b32af72f6ad2029031b"
    ]
  },
  "transaction": {
    "event_at": {
      "from": "2019-08-08T11:58:01+03:00",
      "to": null
    }
  }
}

ParksOrdersTransactionsListQuery

Name

Description

park

Type: ParksOrdersTransactionsListQueryPark

Example
{
  "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "order": {
    "ids": [
      "c8d40acf182b4b32af72f6ad2029031b"
    ]
  },
  "transaction": {
    "event_at": {
      "from": "2019-08-08T11:58:01+03:00",
      "to": null
    }
  }
}
Example
{
  "park": {
    "id": "ee6f33c4562b4e1f8646d157bd70b2c4",
    "order": {
      "ids": [
        "c8d40acf182b4b32af72f6ad2029031b"
      ]
    },
    "transaction": {
      "event_at": {
        "from": "2019-08-08T11:58:01+03:00",
        "to": null
      }
    }
  }
}

Responses

200 OK

List of transactions for the order

Body

application/json
{
  "transactions": [
    {
      "id": "100200400",
      "event_at": "2019-08-08T11:58:01+03:00",
      "category_id": "partner_service_manual",
      "category_name": "Recurring payments",
      "amount": "12345.1434",
      "currency_code": "RUB",
      "description": "Charging #13",
      "created_by": {
        "identity": "dispatcher",
        "passport_uid": "123456789",
        "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
        "dispatcher_name": "John Smith"
      },
      "driver_profile_id": "33de650c6a1a40bfa78dd981817da866",
      "order_id": "c8d40acf182b4b32af72f6ad2029031b",
      "event_id": "ee6f33c4562b4e1f8646d157bd70b2c4"
    }
  ]
}

Name

Description

transactions

Type: ParksTransactionsList

Example
[
  {
    "id": "100200400",
    "event_at": "2019-08-08T11:58:01+03:00",
    "category_id": "partner_service_manual",
    "category_name": "Recurring payments",
    "amount": "12345.1434",
    "currency_code": "RUB",
    "description": "Charging #13",
    "created_by": {
      "identity": "dispatcher",
      "passport_uid": "123456789",
      "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
      "dispatcher_name": "John Smith"
    },
    "driver_profile_id": "33de650c6a1a40bfa78dd981817da866",
    "order_id": "c8d40acf182b4b32af72f6ad2029031b",
    "event_id": "ee6f33c4562b4e1f8646d157bd70b2c4"
  }
]

TransactionId

Type: string

Min length: 1

Max length: 100

Example: 100200400

TransactionCategoryId

Transaction category. Possible values can be obtained through the API /v2/parks/transactions/categories/list.

Type: string

Min length: 1

Max length: 100

Example: partner_service_manual

TransactionCategoryName

Localized name of the transaction category

Type: string

Min length: 1

Max length: 100

Example: Recurring payments

Amount

Fixed-point sum

Type: string

Max length: 20

Example: 12345.1434

CurrencyCode

Type: string

Example: RUB

Description

Type: string

Example: Charging #13

PassportUID

User passport ID

Type: string

Example: 123456789

DispatcherID

Dispatcher ID

Type: string

Example: 3621b3429ea04d989adf5ff4d5515d6a

DispatcherName

Dispatcher name

Type: string

Example: John Smith

TransactionCreatedByDispatcher

Name

Description

dispatcher_id

Type: DispatcherID

Dispatcher ID

Example: 3621b3429ea04d989adf5ff4d5515d6a

dispatcher_name

Type: DispatcherName

Dispatcher name

Example: John Smith

identity

Type: string

Const: dispatcher

Example: dispatcher

passport_uid

Type: PassportUID

User passport ID

Example: 123456789

Example
{
  "identity": "dispatcher",
  "passport_uid": "123456789",
  "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
  "dispatcher_name": "John Smith"
}

TransactionCreatedByTechSupport

Name

Description

identity

Type: string

Const: tech-support

Example: tech-support

Example
{
  "identity": "tech-support"
}

FleetAPIClientID

fleet-api client id

Type: string

Example: taxi/park/abc123

FleetAPIKeyID

fleet-api api key id

Type: string

Example: 521

TransactionCreatedByFleetAPI

Name

Description

client_id

Type: FleetAPIClientID

fleet-api client id

Example: taxi/park/abc123

identity

Type: string

Const: fleet-api

Example: fleet-api

key_id

Type: FleetAPIKeyID

fleet-api api key id

Example: 521

Example
{
  "identity": "fleet-api",
  "client_id": "taxi/park/abc123",
  "key_id": "521"
}

TransactionCreatedByPlatform

Name

Description

identity

Type: string

Const: platform

Example: platform

Example
{
  "identity": "platform"
}

TransactionCreatedBy

One of 4 types
Example
{
  "identity": "dispatcher",
  "passport_uid": "123456789",
  "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
  "dispatcher_name": "John Smith"
}

DriverProfileId

Driver ID

Type: string

Min length: 1

Max length: 100

Example: 33de650c6a1a40bfa78dd981817da866

FleetExternalBusinessEventId

ID of the event that initiates the creation of transactions via the api

Type: string

Min length: 1

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Transaction

Name

Description

amount

Type: Amount

Fixed-point sum

Max length: 20

Example: 12345.1434

category_id

Type: TransactionCategoryId

Transaction category. Possible values can be obtained through the API /v2/parks/transactions/categories/list.

Min length: 1

Max length: 100

Example: partner_service_manual

category_name

Type: TransactionCategoryName

Localized name of the transaction category

Min length: 1

Max length: 100

Example: Recurring payments

created_by

Type: TransactionCreatedBy

Example
{
  "identity": "dispatcher",
  "passport_uid": "123456789",
  "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
  "dispatcher_name": "John Smith"
}

currency_code

Type: CurrencyCode

Example: RUB

description

Type: Description

Example: Charging #13

event_at

Type: DateTime

ISO 8601 with time zone

Example: 2019-08-08T11:58:01+03:00

id

Type: TransactionId

Min length: 1

Max length: 100

Example: 100200400

driver_profile_id

Type: DriverProfileId

Driver ID

Min length: 1

Max length: 100

Example: 33de650c6a1a40bfa78dd981817da866

event_id

Type: FleetExternalBusinessEventId

ID of the event that initiates the creation of transactions via the api

Min length: 1

Example: ee6f33c4562b4e1f8646d157bd70b2c4

order_id

Type: OrderId

Order ID

Min length: 1

Max length: 100

Example: c8d40acf182b4b32af72f6ad2029031b

Example
{
  "id": "100200400",
  "event_at": "2019-08-08T11:58:01+03:00",
  "category_id": "partner_service_manual",
  "category_name": "Recurring payments",
  "amount": "12345.1434",
  "currency_code": "RUB",
  "description": "Charging #13",
  "created_by": {
    "identity": "dispatcher",
    "passport_uid": "123456789",
    "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
    "dispatcher_name": "John Smith"
  },
  "driver_profile_id": "33de650c6a1a40bfa78dd981817da866",
  "order_id": "c8d40acf182b4b32af72f6ad2029031b",
  "event_id": "ee6f33c4562b4e1f8646d157bd70b2c4"
}

ParksTransactionsList

Type: Transaction[]

Example
[
  {
    "id": "100200400",
    "event_at": "2019-08-08T11:58:01+03:00",
    "category_id": "partner_service_manual",
    "category_name": "Recurring payments",
    "amount": "12345.1434",
    "currency_code": "RUB",
    "description": "Charging #13",
    "created_by": {
      "identity": "dispatcher",
      "passport_uid": "123456789",
      "dispatcher_id": "3621b3429ea04d989adf5ff4d5515d6a",
      "dispatcher_name": "John Smith"
    },
    "driver_profile_id": "33de650c6a1a40bfa78dd981817da866",
    "order_id": "c8d40acf182b4b32af72f6ad2029031b",
    "event_id": "ee6f33c4562b4e1f8646d157bd70b2c4"
  }
]

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

401 Unauthorized

Request authorization parameters are missing

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

403 Forbidden

Insufficient rights to execute the request

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

429 Too Many Requests

Limit of requests was exceeded

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

500 Internal Server Error

Internal server error

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example